CREATE TABLE IF NOT EXISTS `plugin_atos_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_atos_transactions` (
`id` INT NOT NULL AUTO_INCREMENT,
`amount` DECIMAL( 10, 4 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`shippingAmount` DECIMAL( 10, 4 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`tax` DECIMAL( 10, 4 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`currency` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
`status` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
`paymentType` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
`paymentId` INT unsigned NOT NULL,
`paymentDate` TIMESTAMP,
`firstName` VARCHAR( 150 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`lastName` VARCHAR( 150 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`email` VARCHAR( 150 ) COLLATE utf8_unicode_ci DEFAULT NULL,
`newCustomer` ENUM('0','1') DEFAULT '0' NULL,
`cartId` int(10) unsigned NOT NULL,
`emailSent` ENUM('0','1') DEFAULT '0',
`userSetPassword` ENUM('0','1') DEFAULT '0',
PRIMARY KEY ( `id` )
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;

UPDATE `plugin` SET `version`='2.1.2' WHERE `name`='atos';
